Package twisted :: Package conch :: Package ssh :: Module transport |
[show private | hide private]
[frames | no frames]

## Module twisted.conch.ssh.transport

The lowest level SSH protocol. This handles the key negotiation, the encryption and the compression.

This module is unstable.

Maintainer: Paul Swartz<mailto:z3p@twistedmatrix.com>

Classes
`SSHCiphers` |
`SSHClientTransport` |
`SSHServerTransport` |
`SSHTransportBase` |

Function Summary
| `buffer_dump(b, title)`

Variable Summary
`long` | `DH_GENERATOR`
`long` | `DH_PRIME`
`int` | `DISCONNECT_AUTH_CANCELLED_BY_USER`
`int` | `DISCONNECT_BY_APPLICATION`
`int` | `DISCONNECT_COMPRESSION_ERROR`
`int` | `DISCONNECT_CONNECTION_LOST`
`int` | `DISCONNECT_HOST_KEY_NOT_VERIFIABLE`
`int` | `DISCONNECT_HOST_NOT_ALLOWED_TO_CONNECT`
`int` | `DISCONNECT_ILLEGAL_USER_NAME`
`int` | `DISCONNECT_KEY_EXCHANGE_FAILED`
`int` | `DISCONNECT_MAC_ERROR`
`int` | `DISCONNECT_NO_MORE_AUTH_METHODS_AVAILABLE`
`int` | `DISCONNECT_PROTOCOL_ERROR`
`int` | `DISCONNECT_PROTOCOL_VERSION_NOT_SUPPORTED`
`int` | `DISCONNECT_RESERVED`
`int` | `DISCONNECT_SERVICE_NOT_AVAILABLE`
`int` | `DISCONNECT_TOO_MANY_CONNECTIONS`
`RandomPool` | `entropy`
`FakeModule` | `getMP`
`dict` | `messages`
`FakeModule` | `MP`
`int` | `MSG_DEBUG`
`int` | `MSG_DISCONNECT`
`int` | `MSG_IGNORE`
`int` | `MSG_KEX_DH_GEX_GROUP`
`int` | `MSG_KEX_DH_GEX_INIT`
`int` | `MSG_KEX_DH_GEX_REPLY`
`int` | `MSG_KEX_DH_GEX_REQUEST`
`int` | `MSG_KEX_DH_GEX_REQUEST_OLD`
`int` | `MSG_KEXDH_INIT`
`int` | `MSG_KEXDH_REPLY`
`int` | `MSG_KEXINIT`
`int` | `MSG_NEWKEYS`
`int` | `MSG_SERVICE_ACCEPT`
`int` | `MSG_SERVICE_REQUEST`
`int` | `MSG_UNIMPLEMENTED`
`_Feature` | `nested_scopes`
`str` | `v`
`FakeModule` | `_MPpow`

Variable Details

    ### DH_GENERATOR Type: `long` Value:
        2L

    ### DH_PRIME Type: `long` Value:
        1797693134862315907708391567937874531978602960487560117064444236841971\
        8021615851936894783379586492554150218056548598050364644054819923910005\
        0792877003355816639229553136239076508735759914822574862575007425302077\
        4477125895509579377784244424266173347276292993876687092056060502708108\
        42907692932019128194467627007L

    ### DISCONNECT_AUTH_CANCELLED_BY_USER Type: `int` Value:
        13

    ### DISCONNECT_BY_APPLICATION Type: `int` Value:
        11

    ### DISCONNECT_COMPRESSION_ERROR Type: `int` Value:
        6

    ### DISCONNECT_CONNECTION_LOST Type: `int` Value:
        10

    ### DISCONNECT_HOST_KEY_NOT_VERIFIABLE Type: `int` Value:
        9

    ### DISCONNECT_HOST_NOT_ALLOWED_TO_CONNECT Type: `int` Value:
        1

    ### DISCONNECT_ILLEGAL_USER_NAME Type: `int` Value:
        15

    ### DISCONNECT_KEY_EXCHANGE_FAILED Type: `int` Value:
        3

    ### DISCONNECT_MAC_ERROR Type: `int` Value:
        5

    ### DISCONNECT_NO_MORE_AUTH_METHODS_AVAILABLE Type: `int` Value:
        14

    ### DISCONNECT_PROTOCOL_ERROR Type: `int` Value:
        2

    ### DISCONNECT_PROTOCOL_VERSION_NOT_SUPPORTED Type: `int` Value:
        8

    ### DISCONNECT_RESERVED Type: `int` Value:
        4

    ### DISCONNECT_SERVICE_NOT_AVAILABLE Type: `int` Value:
        7

    ### DISCONNECT_TOO_MANY_CONNECTIONS Type: `int` Value:
        12

    ### entropy Type: `RandomPool` Value:
        <Crypto.Util.randpool.RandomPool instance at 0x83a6d64>

    ### getMP Type: `FakeModule` Value:
        <Fake tgmp.getMP>

    ### messages Type: `dict` Value:
        {1: 'MSG_DISCONNECT',
         2: 'MSG_IGNORE',
         3: 'MSG_UNIMPLEMENTED',
         4: 'MSG_DEBUG',
         5: 'MSG_SERVICE_REQUEST',
         6: 'MSG_SERVICE_ACCEPT',
         20: 'MSG_KEXINIT',
         21: 'MSG_NEWKEYS',
        ...

    ### MP Type: `FakeModule` Value:
        <Fake tgmp.MP>

    ### MSG_DEBUG Type: `int` Value:
        4

    ### MSG_DISCONNECT Type: `int` Value:
        1

    ### MSG_IGNORE Type: `int` Value:
        2

    ### MSG_KEX_DH_GEX_GROUP Type: `int` Value:
        31

    ### MSG_KEX_DH_GEX_INIT Type: `int` Value:
        32

    ### MSG_KEX_DH_GEX_REPLY Type: `int` Value:
        33

    ### MSG_KEX_DH_GEX_REQUEST Type: `int` Value:
        34

    ### MSG_KEX_DH_GEX_REQUEST_OLD Type: `int` Value:
        30

    ### MSG_KEXDH_INIT Type: `int` Value:
        30

    ### MSG_KEXDH_REPLY Type: `int` Value:
        31

    ### MSG_KEXINIT Type: `int` Value:
        20

    ### MSG_NEWKEYS Type: `int` Value:
        21

    ### MSG_SERVICE_ACCEPT Type: `int` Value:
        6

    ### MSG_SERVICE_REQUEST Type: `int` Value:
        5

    ### MSG_UNIMPLEMENTED Type: `int` Value:
        3

    ### nested_scopes Type: `_Feature` Value:
        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

    ### v Type: `str` Value:
        'zlib'

    ### _MPpow Type: `FakeModule` Value:
        <Fake tgmp._MPpow>

Generated by Epydoc 1.1 on Thu May 8 13:18:20 2003 | http://epydoc.sf.net